# D&D Dungeon Master Map Maker

## Installation

1. clone repo with `git clone`
1. Install Required Plugins for Project through Unity
   1. [Mirror](https://assetstore.unity.com/packages/tools/network/mirror-129321)

## Running Application

Inside the `Build` folder, there is a executable file called `DND Dungeon Master Map Maker.exe` that can run the applciation without building in Unity.

## Controls

Mouse

- Left Click = Select
- Hold Left Click = Drag/Drop
- Right Click = Add One
- Hold Right Click = Fill Selection
- Middle Click = Set Character Permissions

Keyboard

- wasd = movement
- c = change camera view
- q = rotate counter clockwise
- e = rotate clockwise
- f = delete
- g = toggle InGroup
- t = Fill Mode
- y or r = Random Mode
- l = toggle randomRotate
- 1 = least dense random fill
- 2 = less dense random fill
- 3 = more dense random fill
- 4 = most dense random fill

## Video

[![Demo Video](https://img.youtube.com/vi/rKtswdFhS9I/0.jpg)](https://www.youtube.com/watch?v=rKtswdFhS9I "Demo Video")

## Authors

- [Brandon Ihlein](https://github.com/Aceman2423)

- [Jeffrey Lansford](https://github.com/TheJMaster28)

- [Brianna Moffett](https://github.com/bmoffe)

- [Edwin Torres](https://github.com/edwin710)

- [Michael Torres](https://github.com/torresmi6)

- [Sam Turner](https://github.com/surelysam)
